Redux 中文文档 Join the chat at https://gitter.im/camsong/redux-in-chinese

  开始纠错

React Redux

译者注:本库并不是 Redux 内置,需要单独安装。因为一般会和 Redux 一起使用,所以放到一起翻译

Redux 官方提供的 React 绑定库。 具有高效且灵活的特性。

build status npm version npm downloads redux channel on slack

安装

React Redux 依赖 React 0.14 或更新版本。

npm install --save react-redux

你需要使用 npm 作为包管理工具,配合 WebpackBrowserify 作为模块打包工具来加载 CommonJS 模块

如果你不想使用 npm 和模块打包工具,只想打包一个 UMD 文件来提供 ReactRedux 全局变量,那么可以使用 cdnjs 上打包好的版本。但对于非常正式的项目并不建议这么做,因为和 Redux 一起工作的大部分库都只有 npm 才能提供。

React Native

从 React Native 0.18 发布之后,4.x 版本的 React Redux 能搭配 React Native 一起开发。如果你在使用 4.x 版本的 React Redux 和 React Native 一起开发遇到问题时,请先运行 npm ls react 确保你的 node_modules 中没有 React 的复制品。我们建议你使用 npm@3.x 来更好地规避这类问题。

如果你使用的是旧版本的 React Native 遇到这个问题,你可能需要继续使用 React Redux 3.x 和对应文档去解决。

文档

它是如何工作的?

我们在 readthesource 中的一段有深入讨论到。
尽情享用吧!